eID middleware |

# eIDMW::PTEID_Pin Class Reference

Class that represent one Pin. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_Pin:

List of all members.

## Public Member Functions
virtual PTEIDSDK_API | ~PTEID_Pin ()
| Destructor.
PTEIDSDK_API unsigned long | getIndex ()
| Get the index of the pin.
PTEIDSDK_API unsigned long | getType ()
| Get the type of the pin.
PTEIDSDK_API unsigned long | getId ()
| Get the id of the pin.
PTEIDSDK_API PTEID_PinUsage | getUsageCode ()
| Get the usage code of the pin.
PTEIDSDK_API unsigned long | getFlags ()
| Get the flags of the pin.
PTEIDSDK_API const char * | getLabel ()
| Get the label of the pin.
PTEIDSDK_API const PTEID_ByteArray & | getSignature ()
| Return the signature of the pin.
PTEIDSDK_API long | getTriesLeft ()
| Return the remaining tries for giving the good pin.
PTEIDSDK_API bool | verifyPin ()
| Ask the card to verify the pin.
PTEIDSDK_API bool | verifyPin (const char *csPin, unsigned long &ulRemaining)
| Ask the card to verify the pin.
PTEIDSDK_API bool | changePin ()
| Ask the card to change the pin.
PTEIDSDK_API bool | changePin (const char *csPin1, const char *csPin2, unsigned long &ulRemaining, const char *PinName)
| Ask the card to change the pin.
## Friends
PTEID_Pin & | PTEID_Pins::getPinByNumber (unsigned long ulIndex)
| For internal use : This method must access protected constructor.

## Detailed Description

Class that represent one Pin.

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_Pin::~PTEID_Pin | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

PTEIDSDK_API bool eIDMW::PTEID_Pin::changePin | ( | const char * | csPin1,
|  | const char * | csPin2,
|  | unsigned long & | ulRemaining,
|  | const char * | PinName |
| ) |  |  |

Ask the card to change the pin.

if csPin1 or csPin2 are empty, a popup will ask for the codes.

Parameters:

  | csPin1 | is the old pin code
  | csPin2 | is the new pin code
  | ulRemaining | return the remaining tries (only when operation failed)

Returns:
  true if success and false if failed

PTEIDSDK_API bool eIDMW::PTEID_Pin::changePin | ( |  | ) |

Ask the card to change the pin.

A popup will ask for the codes

Returns:
  true if success and false if failed

PTEIDSDK_API unsigned long eIDMW::PTEID_Pin::getFlags | ( |  | ) |

Get the flags of the pin.

PTEIDSDK_API unsigned long eIDMW::PTEID_Pin::getId | ( |  | ) |

Get the id of the pin.

PTEIDSDK_API unsigned long eIDMW::PTEID_Pin::getIndex | ( |  | ) |

Get the index of the pin.

PTEIDSDK_API const char* eIDMW::PTEID_Pin::getLabel | ( |  | ) |

Get the label of the pin.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_Pin::getSignature | ( |  | ) |

Return the signature of the pin.

PTEIDSDK_API long eIDMW::PTEID_Pin::getTriesLeft | ( |  | ) |

Return the remaining tries for giving the good pin.

This opperation is not supported by all card.

Returns:
  -1 if not supported

  the number of remaining tries in the other case

PTEIDSDK_API unsigned long eIDMW::PTEID_Pin::getType | ( |  | ) |

Get the type of the pin.

PTEIDSDK_API PTEID_PinUsage eIDMW::PTEID_Pin::getUsageCode | ( |  | ) |

Get the usage code of the pin.

PTEIDSDK_API bool eIDMW::PTEID_Pin::verifyPin | ( | const char * | csPin,
|  | unsigned long & | ulRemaining |
| ) |  |  |

Ask the card to verify the pin.

Parameters:

  | csPin | is the pin code to verify (if csPin is empty, a popup will ask for the code)
  | ulRemaining | return the remaining tries (only if verifying failed)

Returns:
  true if success and false if failed

PTEIDSDK_API bool eIDMW::PTEID_Pin::verifyPin | ( |  | ) |

Ask the card to verify the pin.

A popup will ask for the code.

Returns:
  true if success and false if failed

## Friends And Related Function Documentation

PTEID_Pin& PTEID_Pins::getPinByNumber | ( | unsigned long | ulIndex | ) | `[friend]`

For internal use : This method must access protected constructor.

The documentation for this class was generated from the following file:

- eidlib.h